Create Comment or Reply
curl --request POST \
--url https://api.inprocess.world/api/comments/{network}/{contract} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tokenId": "1",
"text": "Love this track",
"replyTo": {
"commenter": "0xabc0000000000000000000000000000000000001",
"contractAddress": "0x1111111111111111111111111111111111111111",
"tokenId": "1",
"nonce": "0xaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"
},
"referrer": "0xdef0000000000000000000000000000000000002"
}
'import requests
url = "https://api.inprocess.world/api/comments/{network}/{contract}"
payload = {
"tokenId": "1",
"text": "Love this track",
"replyTo": {
"commenter": "0xabc0000000000000000000000000000000000001",
"contractAddress": "0x1111111111111111111111111111111111111111",
"tokenId": "1",
"nonce": "0xaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"
},
"referrer": "0xdef0000000000000000000000000000000000002"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tokenId: '1',
text: 'Love this track',
replyTo: {
commenter: '0xabc0000000000000000000000000000000000001',
contractAddress: '0x1111111111111111111111111111111111111111',
tokenId: '1',
nonce: '0xaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa'
},
referrer: '0xdef0000000000000000000000000000000000002'
})
};
fetch('https://api.inprocess.world/api/comments/{network}/{contract}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hash": "0xaabbccddaabbccddaabbccddaabbccddaabbccddaabbccddaabbccddaabbccdd",
"chainId": 8453
}{
"status": "error",
"message": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"status": "error",
"message": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"status": "error",
"message": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}Comments
Create Comment or Reply
Create a top-level comment or a reply for an In•Process moment. The route uses CAIP-style path params where network is eip155:{chainId} and contract is erc1155:{collectionAddress}. If replyTo is omitted, the request creates a top-level comment. If replyTo is present, its contractAddress and tokenId must match the target moment.
POST
/
comments
/
{network}
/
{contract}
Create Comment or Reply
Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
CAIP network identifier. Must be eip155:{chainId}.
Example:
"eip155:8453"
CAIP contract identifier. Must be erc1155:{collectionAddress}.
Example:
"erc1155:0x1111111111111111111111111111111111111111"
Body
application/json